oct-admin-touch(1)

NAME
oct-admin-touch - Set the card's touch policy (if supported)

SYNOPSIS
oct admin touch <-k|--key> <-p|--policy> [-h|--help]

DESCRIPTION
Set the card's touch policy (if supported)

A touch policy defines if cryptographic operations on the card require user interaction with the card, for example by touching a button on the card.

Only some cards support this feature at all, not all cards support all policies.

Caution: Setting the ATT slot to Fixed or Cached-Fixed is permanent. Even a factory reset does not undo this setting.

OPTIONS

-k, --key=Key slot
    Key slot to set the touch policy for
    [possible values: SIG, DEC, AUT, ATT]

-p, --policy=Policy
    Touch policy to set on this key slot Off: No touch confirmation required. On: Touch confirmation required for each operation. Fixed: Like 'On', but the policy can only be changed by a reset. Cached: Like 'On', but touch confirmation is valid for 15 seconds. Cached-Fixed: Combines 'Cached' and 'Fixed'.
    [possible values: Off, On, Fixed, Cached, Cached-Fixed]

-h, --help
    Print help (see a summary with '-h')